
<style type="text/css" media="screen"><!--
a  { color: blue; font-family: Arial, Helvetica, Geneva, Swiss, SunSans-Regular; text-decoration: none }
a:hover  { color: red; text-decoration: none }
--></style>
<csscriptdict import>
	<script type="text/javascript" src="GeneratedItems/CSScriptLib.js"></script>
</csscriptdict>
<csactiondict>
	<script type="text/javascript"><!--
CSAct[/*CMP*/ '991D530'] = new Array(CSOpenWindow,/*URL*/ 'excedentes_a.html','_blank',400,250,false,true,false,false,false,false,true);
CSAct[/*CMP*/ '9A021D1'] = new Array(CSOpenWindow,/*URL*/ 'excedentes_b.html','_blank',400,250,false,true,false,false,false,false,true);

// --></script>
</csactiondict>

<csscriptdict import>
	<script type="text/javascript" src="GeneratedItems/CSScriptLib.js"></script>
</csscriptdict>
<csactiondict>
	<script type="text/javascript"><!--
CSAct[/*CMP*/ '991D530'] = new Array(CSOpenWindow,/*URL*/ 'excedentes_a.html','_blank',400,250,false,true,false,false,false,false,true);
CSAct[/*CMP*/ '9A021D1'] = new Array(CSOpenWindow,/*URL*/ 'excedentes_b.html','_blank',400,250,false,true,false,false,false,false,true);

// --></script>
</csactiondict>

<csscriptdict import>
	<script type="text/javascript" src="GeneratedItems/CSScriptLib.js"></script>
</csscriptdict>
<csactiondict>
	<script type="text/javascript"><!--
CSAct[/*CMP*/ '991D530'] = new Array(CSOpenWindow,/*URL*/ 'excedentes_a.html','_blank',400,250,false,true,false,false,false,false,true);
CSAct[/*CMP*/ '9A021D1'] = new Array(CSOpenWindow,/*URL*/ 'excedentes_b.html','_blank',400,250,false,true,false,false,false,false,true);

// --></script>
</csactiondict>
<csscriptdict import>
	<script type="text/javascript" src="GeneratedItems/CSScriptLib.js"></script>
</csscriptdict>
<csactiondict>
	<script type="text/javascript"><!--
CSAct[/*CMP*/ '991D530'] = new Array(CSOpenWindow,/*URL*/ 'excedentes_a.html','_blank',400,250,false,true,false,false,false,false,true);
CSAct[/*CMP*/ '9A021D1'] = new Array(CSOpenWindow,/*URL*/ 'excedentes_b.html','_blank',400,250,false,true,false,false,false,false,true);

// --></script>
</csactiondict>


<body><?PHP
include ('conf/configuracao.php');
include ("include/inicio.php");
include ('include/functions.php');
mysql_connect( $bd_host, $bd_user, $bd_senha )
	or die ( 'Não foi possível conectar ao Servidor.' );
mysql_select_db( $bd_database )
	or die ( 'Não foi possível conectar a Base de Dados.' );
?>
<table bgcolor="<? echo $cor_fund_tab; ?>" width="96%" border="0" cellspacing="0" cellpadding="5" align="center" bordercolor="<? echo $cor_bord_tab; ?>">
<tr>
	<td width="20%" valign="top">
		<font face="<? echo $tipo_fonte; ?>" size="<? echo $tam_fonte; ?>" color="<? echo $cor_texto; ?>">
			<div align="justify">
				<?
					include ("menu.php");
				?>
			</div>
		</font>
	</td>
	<td width="80%" valign="top">
				<div align="left">
					<strong><font face="Verdana" size="2" color="#000000">Resultado Oficial</font></strong></div>
				<div align="center">
					
				</div>
				<div align="center">
					<!--<a onclick="CSAction(new Array(/*CMP*/'991D530'));return CSClickReturn();" href="#" csclick="991D530">Lista dos excedentes que optaram por 2&ordf; chamada - <b>Grupo A</b></a><b><br>
					</b><a onclick="CSAction(new Array(/*CMP*/'9A021D1'));return CSClickReturn();" href="#" csclick="9A021D1">Lista dos excedentes que optaram por 2&ordf; chamada - <b>Grupo B</b><br>
					</a>--></div>
				<p><? 		if (!isset($processo)) {
			echo '<strong><div align="center"><font face="Verdana" size="2" color="red">Escolha o Processo Seletivo</font></strong><br><br>';
			// Obetendo relação de processos Seletivos da Funec
			$sql_processos = "select * from vestibulares where flag1 = '1' order by vestibular DESC";
			$resultado_processos = mysql_query($sql_processos)
				or die ("Erro no resultado .:.:.:. Código 1");
			$i = 0;
			while ($resultado = mysql_fetch_array($resultado_processos)) {
				echo '<a href="resultado_oficial.php?processo='.$resultado["codigo"].'"><font color="#000000" face="Verdana" size="2"><b>' . $resultado["vestibular"] . '</b></font></a>';
				if ($i == 0) {
					echo "<br><br>";
					$i = 1;
				}
				else {
					echo '<br>';
				}
			}
		}
		else {

			if (!isset($exibir_resultado)) {
				// Verifica se o processo seletivo esta liberado realmente para exibição
				$sql_teste = "select * from vestibulares where codigo = $processo and flag1 = '1'";
				$resultado_teste = mysql_query($sql_teste)
					or die ("Erro no gabarito .:.:.:. Código 2");
				if (mysql_num_rows($resultado_teste) != 1) {
					echo '<strong><div align="center"><font face="Verdana" size="2" color="red">Classificação Final não encontrada ou não liberada até o momento.</font></strong><br><br>';
					exit;
				}
				$teste = mysql_fetch_array($resultado_teste);
				echo '<strong><div align="center"><font face="Verdana" size="2" color="000000">Classificação Final do <font color="red">'. $teste[1].'.</font></font></strong><br>';
				?>
					<script language="JavaScript">
				function verifica (theForm) {
					if (theForm.busca.value == "") {
					    alert("É necessário informar o que deseja procurar");
					    theForm.busca.focus();
					    return (false);
					}
				}
 			</script>
				</p>
				<form action="resultado_oficial.php" method="post" onsubmit="return verifica(this)">
					<table width="60%" border="0" cellspacing="0" cellpadding="0" align="center">
						<tr>
							<td><input type="radio" name="tipo" value="1" checked> <font face="Verdana" size="2" color="#000000"><strong>N&uacute;mero de Inscri&ccedil;&atilde;o</strong></font></td>
							<td><input type="radio" name="tipo" value="2"> <font face="Verdana" size="2" color="#0000/00"><strong>Nome do Candidato</strong></font></td>
						</tr>
						<tr>
							<td colspan="2"><input type="text" name="busca" size="40"> &nbsp;&nbsp;&nbsp; <input type="submit" name="submit" value="Iniciar Busca"> <input type="hidden" name="processo" value="<? echo $processo; ?>"> <input type="hidden" name="exibir_resultado" value="1"></td>
						</tr>
						<tr>
							<td colspan="2">
								<div align="justify">
									<font face="Verdana" size="2" color="red"><strong>Para a busca por Nome do Candidato, pode ser utilizado palavras chaves como por exemplo: Ant&ocirc;nio, Antonio, ant&ocirc;nio, antonio, anto ....</strong></font></div>
							</td>
						</tr>
					</table>
				</form>
				<br>

				<? 				
// Retira o resultado por curso

/*
                                echo '<strong><div align="center"><font face="Verdana" size="2" color="000000">Escolha o curso</font></font></strong><br><br>';

				$cursos = $teste[2];
				$aux = split(",",$cursos);
				$j = 0;

				for ($i = 0; $j!=1 ; $i++) {
					if ($aux[$i] == '') {
						$j = 1;
					}
					if ($j != 1) {
						$temp_curso = $aux[$i];
						$sql_cursos = "select * from cursos where codigo = $temp_curso";
						$query_cursos = mysql_query($sql_cursos)
							or die ("Erro no gabarito .:.:.:. Código 3");
						$teste = mysql_fetch_array($query_cursos);
						echo '<a href="resultado_oficial.php?processo='.$processo.'&curso='.$teste[0].'&desc='.urlencode($teste[2]).'&exibir_resultado=2"><font face="Verdana" size="2"><b>' . $teste[1] . ' - ' . $teste[2] . '</b></font></a><br>';
					}
				}
*/

			?>

 <? 			}
			else {
				$sql_teste = "select * from vestibulares where codigo = $processo and flag1 = '1'";
				$resultado_teste = mysql_query($sql_teste)
					or die ("Erro no gabarito .:.:.:. Código 2");
				if (mysql_num_rows($resultado_teste) != 1) {
					echo '<strong><div align="center"><font face="Verdana" size="2" color="red">Classificação Final não encontrada ou não liberada até o momento.</font></strong><br><br>';
					exit;
				}
				$teste = mysql_fetch_array($resultado_teste);
				echo '<strong><div align="center"><font face="Verdana" size="2" color="000000">Classificação Final do <font color="red">'. $teste[1].'.</font></font></strong><br>';
				// verifica se a materia eh realmente do curso
				if ($exibir_resultado == 2) 
				{
					if ( !isset($treineiro))
					{
						echo ('<form action="resultado_oficial.php" method="post">');
						echo '<strong><div align="center"><font face="Verdana" size="2" color="000000">Curso de <font color="red">'. $desc.'.</font></font></strong><br>';
						echo ('<br><table width="60%" border="0" cellspacing="0" cellpadding="0" align="center">');
						echo ('<tr>');
					       echo ('<td>');
						echo ('<div align="center"><input type="radio" name="treineiro" value="n" checked>');
						echo ('<font face="Verdana" size="2" color="#000000"><strong>Não Treineiro</strong></font>');
						echo ('</td>');
						echo ('<td>');
						echo ('<input type="radio" name="treineiro" value="s">');
						echo ('<font face="Verdana" size="2" color="#000000"><strong>Treineiro</strong></font>');
						echo ('</div></td>');
						echo ('</tr>');
						echo ('<tr>');
						echo ('<td colspan="2">');
						echo ('<br><div align="center"><input type="submit" name="submit" value="Mostrar Classificação"></div>');

// REPASSA O VALOR DAS MESMAS VARIAVEIS POR ELAS SEREM TEMPORÁRIAS
						echo ('<input type="hidden" name="processo" value="' . $processo . '">');
						echo ('<input type="hidden" name="curso" value="' . $curso . '">');
						echo ('<input type="hidden" name="desc" value="' . $desc . '">');
						echo ('<input type="hidden" name="exibir_resultado" value="' . $exibir_resultado . '">');
// FIM DA DECLARAÇÃO
						echo ('</td>');
						echo ('</tr>');
						echo ('</form>');
						exit;
					}
					$sql_teste = "Select * from resultado_final where curso= '$curso' and codigo_vest = '$processo' and treineiro= '$treineiro' order by colocacao ASC";
				}
				else
				 {
					if ($tipo == 2) {
						$sql_teste = "Select * from resultado_final where codigo_vest = '$processo' and (nome_candidato like '%$busca%') order by nome_candidato ASC";
					}
					else {
						$sql_teste = "Select * from resultado_final where codigo_vest = '$processo' and (matricula like '%$busca%') order by matricula ASC";
					}
				}
				$resultado_teste = mysql_query($sql_teste)
					or die ("Erro no gabarito .:.:.:. Código 5");
				if ($exibir_resultado == 2) {
					echo '<strong><div align="center"><font face="Verdana" size="2" color="000000">Curso de <font color="red">'. $desc.'.</font></font></strong><br>';
				}
				else {
					echo '<strong><div align="center"><font face="Verdana" size="2" color="000000">Resultado da busca por <font color="red">'. $busca.'.</font></font></strong><br>';
				}
				if (mysql_num_rows($resultado_teste) == 0) {
					echo '<strong><div align="center"><br><font face="Verdana" size="2" color="red">Não foi encontrada nenhuma ocorrência na busca efetuada.</font></strong><br><br>';
					exit;
				}
				if ($treineiro == "s")
				{
					echo('<br>');
					echo '<table width="96%" border="0" cellspacing="0" cellpadding="0" align="center">';
					echo '<tr>';
					echo '<td>';
					echo('<p align="justify"><font face="Verdana" size="1" color="000000">A lista de candidatos abaixo relacionada, indica a situa&ccedil;&atilde;o e a coloca&ccedil;&atilde;o dos Candidatos Treineiros no processo seletivo, juntamente com os candidatos N&atilde;o Treineiros.<br>');
					echo('Tendo em vista que os candidatos Treineiros, n&atilde;o poder&atilde;o se matricular, esta listagem passa a ter apenas carater comparativo perante os concorrentes.</font>');
					echo('</td>');
					echo('</tr>');
					echo('</table>');
					echo('<br>');
				}

				echo '<br><table width="96%" border="1" cellspacing="0" cellpadding="0" align="center">';
					echo '<tr>';
						echo '<td width="9%" align="center">';
							echo '<font face="Verdana" size="1" color="#000000"><strong>Colocação</strong></font>';
						echo '</td>';
						echo '<td width="7%" align="center">';
							echo '<font face="Verdana" size="1" color="#000000"><strong>Nº Insc</strong></font>';
						echo '</td>';
						echo '<td width="40%" align="center">';
							echo '<font face="Verdana" size="1" color="#000000"><strong>Nome</strong></font>';
						echo '</td>';
						echo '<td width="10%" align="center">';
							echo '<font face="Verdana" size="1" color="#000000"><strong>Pontuação</strong></font>';
						echo '</td>';
						echo '<td width="13%" align="center">';
							echo '<font face="Verdana" size="1" color="#000000"><strong>Situação</strong></font>';
						echo '</td>';
						if ($exibir_resultado == 1) {
						echo '<td width="12%" align="center">';
							echo '<font face="Verdana" size="1" color="#000000"><strong>Curso</strong></font>';
						echo '</td>';
						}
						echo '<td width="12%" align="center">';
							echo '<font face="Verdana" size="1" color="#000000"><strong>Treineiro</strong></font>';
						echo '</td>';
					echo '</tr>';
					$cor = "e5e5e5";
					while ($exibe_resultado_final = mysql_fetch_array($resultado_teste)) {
						echo '<tr>';
							echo '<td width="9%" align="center" bgcolor="'.$cor.'">';
								echo '<font face="Verdana" size="1" color="#000000">' . $exibe_resultado_final["colocacao"] . '</font>';
							echo '</td>';
							echo '<td width="7%" align="center" bgcolor="'.$cor.'">';
								echo '<font face="Verdana" size="1" color="#000000">' . $exibe_resultado_final["matricula"] . '</font>';
							echo '</td>';
							echo '<td width="40%" bgcolor="'.$cor.'">';
								echo '<font face="Verdana" size="1" color="#000000">' . '&nbsp;' . $exibe_resultado_final["nome_candidato"] . '</font>';
							echo '</td>';
							echo '<td width="10%" align="center" bgcolor="'.$cor.'">';
								echo '<font face="Verdana" size="1" color="#000000">' . $exibe_resultado_final["total_final"] . '</font>';
							echo '</td>';
							echo '<td width="13%" bgcolor="'.$cor.'"  align="center">';
								echo '<font face="Verdana" size="1" color="#000000">';
									$situacao = $exibe_resultado_final["situacao"];
									if ($situacao == 0)
										echo '<font color="red"><strong>Desclassificado</strong></font>';
									if ($situacao == 1)
										echo '<font color="339900"><strong>Classificado</strong></font>';
									if ($situacao == 2)
										echo '<font color="red"><strong>Desistente</strong></font>';
									if ($situacao == 3)
										echo '<font color="#9999cc"><strong>Excedente</strong></font>';
									if ($situacao == 4)
										echo '<font color="blue"><strong>Matriculado</strong></font>';
								echo '</font>';
							echo '</td>';
							if ($exibir_resultado == 1) {
								echo '<td width="12%" align="center" bgcolor="'.$cor.'" >';
									echo '<font face="Verdana" size="1" color="#000000">' . ObterCurso($exibe_resultado_final["curso"]). '</font>';
								echo '</td>';
							}
							echo '<td width="12%" align="center" bgcolor="'.$cor.'" >';
							if ($exibe_resultado_final["treineiro"]  == "s")
							{
								echo '<font face="Verdana" size="1" color="#000000">Sim</font>';
							}
							else
							{
								echo '<font face="Verdana" size="1" color="#000000">Não</font>';
							}
							echo '</td>';
						echo '</tr>';
						if ($cor == 'e5e5e5')
							$cor = 'ffffff';
						else
							$cor = 'e5e5e5';
					}
				echo '</table>';
			}
		}
	?></td>
</tr>
</table>
<? 
	include ("include/fim.php");
?>
</body>
